<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="FactorScore"   package="performa.orm">
            
        <IMPORT value="performa.orm.types.*"/>
        
        <TRANSIENT  name="ColorCode"    type="ColorCode"    attribHelper="EnumeratedAttributeHelper"/>
            
        <TABLE  name="tl_score" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Score"        type="Integer"  dbcol="score_number"/>
            <ATTRIB name="ColorRank"    type="Integer"  dbcol="color_rank"  />
            <ATTRIB name="WghtdScore"   type="Integer"  dbcol="wghtd_score" />

            <SINGLEREFERENCE    name="TestAnalysis" type="TestAnalysis" dbcol="test_analysis_id"    backreferenceName="FactorScores"/>
            <SINGLEREFERENCE    name="Factor"       type="Factor"       dbcol="factor_number"/>
            <SINGLEREFERENCE    name="Level"        type="Level"        dbcol="level_number"/>
            <SINGLEREFERENCE    name="Narrative"    type="Narrative"    dbcol="narrative_id"        backreferenceName="FactorScores"/>

        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_score.object_id is not null"    orderBy="tl_score.object_id"    />
        
    </BUSINESSCLASS>
    
</ROOT>